# GenPointer Class Template Reference

Templated pointer that can be inserted in a list. More...

`#include <yateclass.h>`

Inheritance diagram for GenPointer:

List of all members.

## Public Member Functions

| GenPointer ()
| GenPointer (const GenPointer< Obj > &value)
| GenPointer (Obj *object)
GenPointer< Obj > & | operator= (const GenPointer< Obj > &value)
GenPointer< Obj > & | operator= (Obj *object)
| operator Obj * () const
Obj * | operator-> () const
Obj & | operator * () const

## Detailed Description

### template<class Obj = GenObject>
class TelEngine::GenPointer< Obj >

Templated pointer that can be inserted in a list.

## Constructor & Destructor Documentation

GenPointer | ( |  | ) | `[inline]`

Default constructor - creates a null pointer

GenPointer | ( | const GenPointer< Obj > & | value | ) | `[inline]`

Copy constructor

Parameters:

  | value | Original GenPointer

GenPointer | ( | Obj * | object | ) | `[inline]`

Constructs an initialized pointer

Parameters:

  | object | Pointer to object

## Member Function Documentation

GenPointer<Obj>& operator= | ( | const GenPointer< Obj > & | value | ) | `[inline]`

Assignment from another GenPointer

GenPointer<Obj>& operator= | ( | Obj * | object | ) | `[inline]`

Assignment from regular pointer

operator Obj * | ( |  | ) | const`[inline]`

Conversion to regular pointer operator

Returns:
  The stored pointer

Obj* operator-> | ( |  | ) | const`[inline]`

Member access operator

Obj& operator * | ( |  | ) | const`[inline]`

Dereferencing operator

The documentation for this class was generated from the following file:

- yateclass.h